Can't Access Files

General help and assistance with jamovi. Bug reports can be made at our issues page: https://github.com/jamovi/jamovi/issues . (If you're unsure feel free to discuss it here)

by pennefather » Mon May 06, 2019 5:27 pm

Hello,
I have just downloaded Jamovi and can't browse my files to open datasets. When I click the browse key I get the following errors:

index.js:122 Uncaught TypeError: Arguments to path.join must be strings
at file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:42801:13
at Array.filter (native)
at filter (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:42888:30)
at Object.exports.join (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:42799:28)
at child.tryBrowse (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:1342:120)
at triggerEvents (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:20444:58)
at triggerApi (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:20428:19)
at eventsApi (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:20227:16)
at child.Events.trigger (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:20418:5)
at child.requestBrowse (file:///C:/Program%20Files/jamovi%200.9.6.9/Resources/jamovi/client/main.js:411:14)
pennefather
 
Posts: 9
Joined: Mon May 06, 2019 5:20 pm

by jonathon » Mon May 06, 2019 11:25 pm

hi,

is there any error displayed *before* you click browse? for example, in the following screenshot you can see the list of files before i click browse. is there anything listed there?

with thanks

Screen Shot 2019-05-07 at 09.22.44.png
Screen Shot 2019-05-07 at 09.22.44.png (58.55 KiB) Viewed 529 times
User avatar
jonathon
 
Posts: 871
Joined: Fri Jan 27, 2017 10:04 am

by jonathon » Tue May 07, 2019 12:48 am

another one, can you run jamovi at the terminal and see if there's any error output?

you'll find `jamovi debug` in your windows start menu. this brings up a terminal, and you can run jamovi with the command `jamovi`.

with thanks
User avatar
jonathon
 
Posts: 871
Joined: Fri Jan 27, 2017 10:04 am

by pennefather » Tue May 07, 2019 8:07 pm

Hi Jonathon,
Nothing shows in the files, just the browse button and text saying "No recognized data files were found".

I ran from terminal and no errors until I navigated to open then these errors:


local variable 'abs_path' referenced before assignment
Traceback (most recent call last):
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 250, in _on_fs_request
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 107, in _normalise_path
File "jamovi\core.pyx", line 639, in jamovi.core.Dirs.documents_dir
RuntimeError: Could not retrieve documents directory(-2147024893)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "jamovi\Resources\jamovi\server\jamovi\server\clientconnection.py", line 63, in on_message_async
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 232, in on_request
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 408, in _on_fs_request
UnboundLocalError: local variable 'abs_path' referenced before assignment

Then I clicked on local PC and these errors:


local variable 'abs_path' referenced before assignment
Traceback (most recent call last):
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 250, in _on_fs_request
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 107, in _normalise_path
File "jamovi\core.pyx", line 639, in jamovi.core.Dirs.documents_dir
RuntimeError: Could not retrieve documents directory(-2147024893)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "jamovi\Resources\jamovi\server\jamovi\server\clientconnection.py", line 63, in on_message_async
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 232, in on_request
File "jamovi\Resources\jamovi\server\jamovi\server\instance.py", line 408, in _on_fs_request
UnboundLocalError: local variable 'abs_path' referenced before assignment
pennefather
 
Posts: 9
Joined: Mon May 06, 2019 5:20 pm

by jonathon » Tue May 07, 2019 10:07 pm

thanks @pennefather,

so when you begin browsing, jamovi requests your 'Documents' folder from windows. this is throwing an error. do you know why this might be? this is a very standard operation, and expected to work. is there something unusual about your computer? you don't have an official 'Documents' folder?

so this throws an error, and jamovi should have the fallback behaviour that it throws you back to the root file system (C:/, etc.) however there's a bug in this, which is why it isn't working. i'll push a fix, which will come in the next version.

but even after the fix, the behaviour will be a little strange on your computer, due to the 'Documents' issue, but you'll at least be able to navigate to the location of your files, etc.

cheers

jonathon
User avatar
jonathon
 
Posts: 871
Joined: Fri Jan 27, 2017 10:04 am

by pennefather » Wed May 08, 2019 3:06 am

Thanks Jonathon. It is likely the way IT has set up our internal server system. I will check with them about a solution on our end. Thanks again.
pennefather
 
Posts: 9
Joined: Mon May 06, 2019 5:20 pm


Return to Help

cron